/**
 * @function askPassword
 */

'use strict'

const askconfig = require('askconfig')
const co = require('co')

/** @lends askPassword */
function askPassword (password) {
  return co(function * () {
    if (password) {
      return password
    } else {
      return yield askconfig({ password: null })
    }
  })
}

module.exports = askPassword
