/**
 * Test for bin.
 * Runs with mocha.
 */
'use strict'

const bin = require.resolve('../bin/apeman-scrt')
const cp = require('child_process')
const assert = require('assert')

describe('bin-test', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Show help.', (done) => {
    let cmd = [
      bin,
      '-h'
    ].join(' ')
    cp.exec(cmd, (err) => {
      assert.ifError(err)
      done()
    })
  })
})

/* global describe, before, after, it */
